diff -ur a/config.h.in b/config.h.in
--- a/config.h.in	2012-08-23 16:48:54.871916880 -0500
+++ b/config.h.in	2012-08-23 17:00:07.918246872 -0500
@@ -1,5 +1,5 @@
 /* config.h.in.  Generated from configure.ac by autoheader.  */
-
+#define _(S) (S)
 /* always defined to indicate that i18n is enabled */
 #undef ENABLE_NLS
 
diff -ur a/src/album_selector.cpp b/src/album_selector.cpp
--- a/src/album_selector.cpp	2012-08-23 16:48:54.872917379 -0500
+++ b/src/album_selector.cpp	2012-08-23 16:52:59.974397770 -0500
@@ -19,7 +19,7 @@
 #include "music.h"
 #include "tooltip.h"
 
-#include <glibmm/i18n.h>
+#include <glibmm.h>
 #include <gtkmm/stock.h>
 #include <iomanip>
 
diff -ur a/src/app_window.cpp b/src/app_window.cpp
--- a/src/app_window.cpp	2012-08-23 16:48:54.872917379 -0500
+++ b/src/app_window.cpp	2012-08-23 16:52:59.975398270 -0500
@@ -20,7 +20,7 @@
 #include "music.h"
 #include "basic_dialogs.h"
 
-#include <glibmm/i18n.h>
+#include <glibmm.h>
 #include <gtkmm/action.h>
 #include <gtkmm/main.h>
 #include <gtkmm/icontheme.h>
diff -ur a/src/basic_dialogs.cpp b/src/basic_dialogs.cpp
--- a/src/basic_dialogs.cpp	2012-08-23 16:48:54.872917379 -0500
+++ b/src/basic_dialogs.cpp	2012-08-23 16:52:59.975398270 -0500
@@ -17,7 +17,7 @@
 
 #include "basic_dialogs.h"
 
-#include <glibmm/i18n.h>
+#include <glibmm.h>
 #include <giomm/appinfo.h>
 #include <gtkmm/messagedialog.h>
 #include <gtkmm/aboutdialog.h>
diff -ur a/src/basic_dialogs.h b/src/basic_dialogs.h
--- a/src/basic_dialogs.h	2012-08-23 16:48:54.873917879 -0500
+++ b/src/basic_dialogs.h	2012-08-23 16:53:05.779298555 -0500
@@ -16,7 +16,7 @@
 #ifndef BASIC_DIALOGS_H
 #define BASIC_DIALOGS_H
 
-#include <glibmm/ustring.h>
+#include <glibmm.h>
 #include <gtkmm/dialog.h>
 #include <gtkmm/frame.h>
 #include <gtkmm/entry.h>
diff -ur a/src/id3reader.cpp b/src/id3reader.cpp
--- a/src/id3reader.cpp	2012-08-23 16:48:54.873917879 -0500
+++ b/src/id3reader.cpp	2012-08-23 16:52:59.976398770 -0500
@@ -17,7 +17,7 @@
 
 #include "id3reader.h"
 
-#include <glibmm/stringutils.h>
+#include <glibmm.h>
 #include <iostream>
 
 bool ID3TagReader::mpg123_inited = false;
diff -ur a/src/id3reader.h b/src/id3reader.h
--- a/src/id3reader.h	2012-08-23 16:48:54.872917379 -0500
+++ b/src/id3reader.h	2012-08-23 16:53:05.779298555 -0500
@@ -16,7 +16,7 @@
 #ifndef ID3TAG_READ_H
 #define ID3TAG_READ_H
 
-#include <glibmm/ustring.h>
+#include <glibmm.h>
 #include <mpg123.h>
 #include <stdint.h>
 
diff -ur a/src/main_menu.cpp b/src/main_menu.cpp
--- a/src/main_menu.cpp	2012-08-23 16:48:54.872917379 -0500
+++ b/src/main_menu.cpp	2012-08-23 16:52:59.976398770 -0500
@@ -19,7 +19,7 @@
 #include "music.h"
 #include "basic_dialogs.h"
 
-#include <glibmm/i18n.h>
+#include <glibmm.h>
 #include <gtkmm/main.h>
 #include <gtkmm/window.h>
 #include <gtkmm/stock.h>
diff -ur a/src/metadata_editor.cpp b/src/metadata_editor.cpp
--- a/src/metadata_editor.cpp	2012-08-23 16:48:54.872917379 -0500
+++ b/src/metadata_editor.cpp	2012-08-23 16:52:59.977399270 -0500
@@ -17,7 +17,7 @@
 
 #include "metadata_editor.h"
 
-#include <glibmm/i18n.h>
+#include <glibmm.h>
 #include <gtkmm/stock.h>
 #include <iomanip>
 
diff -ur a/src/mtp_data_types.cpp b/src/mtp_data_types.cpp
--- a/src/mtp_data_types.cpp	2012-08-23 16:48:54.873917879 -0500
+++ b/src/mtp_data_types.cpp	2012-08-23 16:52:59.977399270 -0500
@@ -16,7 +16,7 @@
 #include "mtp_data_types.h"
 
 #include <libmtp.h>
-#include <glibmm/i18n.h>
+#include <glibmm.h>
 #include <cmath>
 
 // Album Type
diff -ur a/src/mtp_data_types.h b/src/mtp_data_types.h
--- a/src/mtp_data_types.h	2012-08-23 16:48:54.873917879 -0500
+++ b/src/mtp_data_types.h	2012-08-23 16:53:05.779298555 -0500
@@ -18,7 +18,7 @@
 
 #include "config.h"
 
-#include <glibmm/object.h>
+#include <glibmm.h>
 #include <gdkmm/pixbuf.h>
 #include <stdint.h>
 
diff -ur a/src/mtp_device.cpp b/src/mtp_device.cpp
--- a/src/mtp_device.cpp	2012-08-23 16:48:54.872917379 -0500
+++ b/src/mtp_device.cpp	2012-08-23 16:52:59.978399770 -0500
@@ -17,7 +17,7 @@
 
 #include "mtp_device.h"
 
-#include <glibmm/i18n.h>
+#include <glibmm.h>
 #include <giomm/memoryinputstream.h>
 #include <libmtp.h>
 #include <iostream>
diff -ur a/src/music_actions.cpp b/src/music_actions.cpp
--- a/src/music_actions.cpp	2012-08-23 16:48:54.873917879 -0500
+++ b/src/music_actions.cpp	2012-08-23 16:52:59.979400270 -0500
@@ -20,7 +20,7 @@
 #include "metadata_editor.h"
 #include "album_selector.h"
 
-#include <glibmm/i18n.h>
+#include <glibmm.h>
 
 // Edit album metadata
 void MusicView::EditAlbumMetadata()
diff -ur a/src/music.cpp b/src/music.cpp
--- a/src/music.cpp	2012-08-23 16:48:54.872917379 -0500
+++ b/src/music.cpp	2012-08-23 16:52:59.979400270 -0500
@@ -17,7 +17,7 @@
 
 #include "music.h"
 
-#include <glibmm/i18n.h>
+#include <glibmm.h>
 #include <gtkmm/stock.h>
 #include <iomanip>
 
diff -ur a/src/music_drag_dest.cpp b/src/music_drag_dest.cpp
--- a/src/music_drag_dest.cpp	2012-08-23 16:48:54.873917879 -0500
+++ b/src/music_drag_dest.cpp	2012-08-23 16:52:59.979400270 -0500
@@ -20,7 +20,7 @@
 #include "id3reader.h"
 #include "album_selector.h"
 
-#include <glibmm/i18n.h>
+#include <glibmm.h>
 #include <giomm/file.h>
 #include <iostream>
 
diff -ur a/src/playedit.cpp b/src/playedit.cpp
--- a/src/playedit.cpp	2012-08-23 16:48:54.872917379 -0500
+++ b/src/playedit.cpp	2012-08-23 17:03:40.548500959 -0500
@@ -17,19 +17,13 @@
 
 #include "app_window.h"
 
-#include <glibmm/i18n.h>
+#include <glibmm.h>
 #include <gtkmm/main.h>
 
 int main(int argc, char **argv)
 {
 	Gtk::Main program(argc, argv);
 
-#if ENABLE_NLS
-	bindtextdomain(GETTEXT_PACKAGE, PLAYEDITLOCALEDIR);
-	bind_textdomain_codeset(GETTEXT_PACKAGE, "UTF-8");
-	textdomain(GETTEXT_PACKAGE);
-#endif
-
 	// The main window
 	Playedit::App app_window;
 
diff -ur a/src/playlist_actions.cpp b/src/playlist_actions.cpp
--- a/src/playlist_actions.cpp	2012-08-23 16:48:54.873917879 -0500
+++ b/src/playlist_actions.cpp	2012-08-23 16:52:59.980400770 -0500
@@ -19,7 +19,7 @@
 #include "basic_dialogs.h"
 #include "playlist.h"
 
-#include <glibmm/i18n.h>
+#include <glibmm.h>
 #include <iostream>
 
 // Set a cell editable and start editing.
diff -ur a/src/playlist.cpp b/src/playlist.cpp
--- a/src/playlist.cpp	2012-08-23 16:48:54.872917379 -0500
+++ b/src/playlist.cpp	2012-08-23 16:52:59.980400770 -0500
@@ -19,7 +19,7 @@
 #include "playlist.h"
 #include "music.h"
 
-#include <glibmm/i18n.h>
+#include <glibmm.h>
 #include <gtkmm/main.h>
 #include <iostream>
 
diff -ur a/src/tooltip.cpp b/src/tooltip.cpp
--- a/src/tooltip.cpp	2012-08-23 16:48:54.873917879 -0500
+++ b/src/tooltip.cpp	2012-08-23 16:52:59.981401270 -0500
@@ -15,8 +15,8 @@
 
 #include "tooltip.h"
 
-#include <glibmm/i18n.h>
-#include <glibmm/regex.h>
+#include <glibmm.h>
+#include <glibmm.h>
 #include <cmath>
 #include <iomanip>
 
diff -ur a/src/tooltip.h b/src/tooltip.h
--- a/src/tooltip.h	2012-08-23 16:48:54.872917379 -0500
+++ b/src/tooltip.h	2012-08-23 16:53:05.780299055 -0500
@@ -17,7 +17,7 @@
 #define TOOLTIP_H
 
 #include <mtp_data_types.h>
-#include <glibmm/ustring.h>
+#include <glibmm.h>
 
 Glib::ustring GetTrackTooltipText(const Glib::RefPtr<const track_t>& track);
 Glib::ustring GetAlbumTooltipText(const Glib::RefPtr<const album_t>& album);
